Skip to main content
GET
/
v0
/
pages
/
{page_id}
/
audiences
List audiences
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages/{page_id}/audiences \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "actionFormIdOverride": "<string>",
      "actionFormInstructionsOverride": "<string>",
      "actionUrlOverride": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "audienceId": "<string>",
      "computedName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "customName": "<string>",
      "effectiveName": "<string>",
      "isNewPageAgent": true,
      "latestVersion": {
        "archivedAt": "2023-11-07T05:31:56Z",
        "audienceId": "<string>",
        "becameDraftAt": "2023-11-07T05:31:56Z",
        "cancelledAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "isNewPageAgent": true,
        "obsoleteAt": "2023-11-07T05:31:56Z",
        "publishedAt": "2023-11-07T05:31:56Z",
        "queueDurationMs": 123,
        "queuedAt": "2023-11-07T05:31:56Z",
        "status": "archived",
        "supplementaryContext": "<string>",
        "versionId": "<string>",
        "versionNumber": 123
      },
      "pageId": "<string>",
      "personId": "<string>",
      "personRouteKey": "<string>",
      "publishedVersion": {
        "archivedAt": "2023-11-07T05:31:56Z",
        "audienceId": "<string>",
        "becameDraftAt": "2023-11-07T05:31:56Z",
        "cancelledAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "isNewPageAgent": true,
        "obsoleteAt": "2023-11-07T05:31:56Z",
        "publishedAt": "2023-11-07T05:31:56Z",
        "queueDurationMs": 123,
        "queuedAt": "2023-11-07T05:31:56Z",
        "status": "archived",
        "supplementaryContext": "<string>",
        "versionId": "<string>",
        "versionNumber": 123
      },
      "status": "archived",
      "supplementaryContext": "<string>",
      "effectiveMetadata": {
        "title": "<string>",
        "description": "<string>",
        "keywords": [
          "<string>"
        ],
        "author": "<string>",
        "robots": [
          "index"
        ],
        "canonicalUrl": "<string>",
        "ogTitle": "<string>",
        "ogDescription": "<string>",
        "ogType": "website",
        "ogImageUrl": "<string>",
        "ogImageFileId": "<string>",
        "ogImageAlt": "<string>",
        "ogSiteName": "<string>",
        "ogUrl": "<string>",
        "twitterCard": "summary",
        "twitterTitle": "<string>",
        "twitterDescription": "<string>",
        "twitterImageUrl": "<string>",
        "twitterImageFileId": "<string>",
        "twitterImageAlt": "<string>",
        "twitterSite": "<string>",
        "twitterCreator": "<string>",
        "themeColor": "<string>"
      },
      "metadataOverride": {
        "title": "<string>",
        "description": "<string>",
        "keywords": [
          "<string>"
        ],
        "author": "<string>",
        "robots": [
          "index"
        ],
        "canonicalUrl": "<string>",
        "ogTitle": "<string>",
        "ogDescription": "<string>",
        "ogType": "website",
        "ogImageUrl": "<string>",
        "ogImageFileId": "<string>",
        "ogImageAlt": "<string>",
        "ogSiteName": "<string>",
        "ogUrl": "<string>",
        "twitterCard": "summary",
        "twitterTitle": "<string>",
        "twitterDescription": "<string>",
        "twitterImageUrl": "<string>",
        "twitterImageFileId": "<string>",
        "twitterImageAlt": "<string>",
        "twitterSite": "<string>",
        "twitterCreator": "<string>",
        "themeColor": "<string>"
      }
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://architect-d889a35e-sync-pr-3380.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_id
string
required

page_id parameter

Query Parameters

cursor
string

cursor parameter

limit
number

limit parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991